## kdepim 4.8.2

=== debian/changelog ===
kdepim (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:01 +0100

kdepim (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Apr 2012 16:54:56 +0200

kdepim (4:4.8.1a-0ubuntu1) precise; urgency=low

  * New upstream release 
    - add kmail troubleshooting docbook to kdepim-doc.install
    - add kmail ontology files to kmail.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 19:11:16 +0100

kdepim (4:4.8.0a-0ubuntu2) precise; urgency=low

  * Don't use -Wl,-Bsymbolic-functions in LDFLAGS to work around
    kde bug 283479 (LP: #864975)
  * Add libprison-dev to build-depends

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 25 Feb 2012 18:32:57 +0100

kdepim (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 19 Jan 2012 19:19:34 +0100

kdepim (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Remove kdepim-groupware, and kdepim-wizards files no longer made

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:20 +0000

kdepim (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Add tasks-icons package, move the todo list icons from tasks-mobile there
    and make kontact depend on tasks-icons (LP: #830447)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 18:18:44 +0100

kdepim (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:51 +0000

kdepim (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Mon, 31 Oct 2011 13:16:49 +0100

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
 Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake, 
 debhelper (>= 7.3.16), 
 pkg-kde-tools (>= 0.12), 
 pkg-config,
 kdelibs5-dev (>= 4:4.8.1), 
 kdepimlibs5-dev (>= 4:4.8.1), 
 libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, 
 libboost1.46-dev, 
 libboost-graph1.46-dev, 
 libsasl2-dev,
 xsltproc, 
 libxss-dev, 
 libqca2-dev (>= 2.0.0), 
 libassuan-dev,
 libstreams-dev (>= 0.6.3), 
 libstreamanalyzer-dev (>= 0.6.3), 
 libsearchclient-dev (>= 0.6.3),
 libstrigihtmlgui-dev (>= 0.6.3), 
 libstrigiqtdbusclient-dev (>= 0.6.3), 
 zlib1g-dev,
 libakonadi-dev (>= 1.3.0), 
 libpisock-dev, 
 shared-desktop-ontologies (>= 0.2),
 libindicate-qt-dev (>= 0.2.5.91),
 libxml2-dev,
 sharutils,
 libqt4-opengl-dev,
 libqtwebkit-dev,
 dblatex, 
 libgrantlee-dev,
 libprison-dev
Standards-Version: 3.9.2
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim

Package: kdepim
Architecture: all
Depends: ${misc:Depends}, akregator (>= ${source:Version}), kaddressbook (>= ${source:Version}),
 kalarm (>= ${source:Version}), kdepim-kresources (>= ${source:Version}),
 kmail (>= ${source:Version}), knode (>= ${source:Version}), knotes (>= ${source:Version}),
 konsolekalendar (>= ${source:Version}), kontact (>= ${source:Version}), korganizer (>= ${source:Version}),
 ktimetracker (>= ${source:Version}), kdepim-strigi-plugins (>= ${source:Version}), kjots (>= ${source:Version}),
 blogilo (>= ${source:Version}), kdepim-runtime
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of KDE.

Package: kdepim-dbg
Priority: extra
Section: debug
Depends: ${misc:Depends}, kdepimlibs-dbg,
 kdepim  (= ${source:Version}) |
 kaddressbook (= ${binary:Version}) |
 kalarm (= ${binary:Version}) |
 kdepim-kresources (= ${binary:Version}) |
 kdepim-strigi-plugins (= ${binary:Version}) |
 kjots (= ${binary:Version}) |
 kleopatra (= ${binary:Version}) |
 kmail (= ${binary:Version}) |
 knode (= ${binary:Version}) |
 knotes (= ${binary:Version}) |
 konsolekalendar (= ${binary:Version}) |
 kontact (= ${binary:Version}) |
 korganizer (= ${binary:Version}) |
 ktimetracker (= ${binary:Version}) |
 blogilo (= ${binary:Version}) |
 libkdepim4 (= ${binary:Version}) |
 libkleo4 (= ${binary:Version}) |
 libkpgp4 (= ${binary:Version}) |
 libksieve4 (= ${binary:Version}) |
 libmaildir4 (= ${binary:Version}) |
 libmessagecore4 (= ${binary:Version}) |
 libmessagelist4 (= ${binary:Version}) |
 libmessageviewer4 (= ${binary:Version})
Breaks: kdeutils-dbg (<< 4:4.0.80)
Replaces: kdeutils-dbg (<< 4:4.0.80)
Architecture: any
Description: debugging symbols for kdepim
 This package contains the debugging symbols associated with kdepim.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}),
 kdepim-strigi-plugins (>= ${binary:Version}),
 libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.3.80),
 libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.46-dev, libboost-graph1.46-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Replaces: kmail (<= 4:4.2.1)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: konqueror | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator 
 Akregator is a news feed reader. It enables you to follow  
 news sites, blogs and other RSS/Atom-enabled websites without the need to 
 manually check for updates using a web browser. Akregator is designed to be 
 both easy to use and to be powerful enough to read hundreds of news sources 
 conveniently. It comes with Konqueror integration for adding news feeds and 
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Breaks: korganizer (<< 4:4.2.85), kontact (<< 4:4.2.85)
Replaces: korganizer (<< 4:4.2.85), kontact (<< 4:4.2.85)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably. 
 It can load and save your contacts to many different locations, including 
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook-mobile
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Replaces: kontact (<< 4:4.5.80)
Description: address book and contact data manager mobile version
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases. This is the mobile
 version.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: kttsd | jovie
Conflicts: kde-l10n
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: korganizer
Suggests: knotes
Breaks: korganizer (<< 4:4.2.85), libkdepim4 (<< 4:4.5.80), kdepim-groupware (<< 4:4.5.96-1)
Replaces: korganizer (<< 4:4.2.85), libkdepim4 (<< 4:4.5.80), kdepim-groupware (<< 4:4.5.96-1)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

#Package: kitchensync
#Section: kde
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Suggests: konqueror
#Conflicts: kdebluetooth-irmcsync (<< 0.99+1.0beta2-4.1)
#Homepage: http://www.opensync.org/wiki/kitchensync
#Description: Synchronization framework
# This package contains a synchronization framework, still under heavy
# development.  Kitchensync uses opensync.
# .
# This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-qt4
Replaces: kdepim-doc (<< 4:4.4.60)
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: gnupg2, gnupg-agent, pinentry-qt4
Suggests: kaddressbook, kleopatra, spamassassin | bogofilter | spambayes | bsfilter | crm114, clamav, procmail
Breaks: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.2.85)
Replaces: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.2.85)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: kmail-mobile
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdepim-runtime
Recommends: gnupg2, gnupg,  gnupg-agent, pinentry-qt4
Suggests: kaddressbook-mobile, procmail, kleopatra, spamassassin | bogofilter | spambayes | bsfilter | crm114, clamav
Replaces: kontact (<< 4:4.5.80)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client mobile version
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 This is the mobile version of KMail.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

# Package: kmobiletools
# Section: utils
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Homepage: http://www.kmobiletools.org/
# Description: KDE application to control mobile phones
#  MobileTools is a KDE application that allows you to control your mobile phone.
#  Actually, this application supports: SMS reading/writing/sending/deleting ,
#  multiple SMS destinations (if supported by the phone), calls handling (dial,
#  answer, close), phonebook reading, viw last answered calls and last unanswered
#  calls lists.
#  .
#  This package is part of KDE, and a component of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-runtime
Breaks: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80)
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

# workaround for http://pad.lv/864975
export LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))

override_dh_auto_install:
	$(overridden_command)
	cd debian/kalarm-icons/; uudecode ox8-emblems-disabled.png.uu
	cd debian/kalarm-icons/; uudecode ox8-emblems-partdisabled.png.uu
	install -p -D -m644 debian/kalarm-icons/ox8-emblems-disabled.png debian/kalarm/usr/share/kde4/apps/kalarm/icons/oxygen/8x8/emblems/disabled.png
	install -p -D -m644 debian/kalarm-icons/ox8-emblems-partdisabled.png debian/kalarm/usr/share/kde4/apps/kalarm/icons/oxygen/8x8/emblems/partdisabled.png

.PHONY: override_dh_auto_test

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-dbg
override_dh_clean:
	$(overridden_command)
	rm -f debian/kalarm-icons/*png

## kdepim 4.8.4a

=== CMakeLists.txt ===
project(kdepim)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")


############### Build Options ###############

option(KDEPIM_BUILD_EXAMPLES "Build the kdepim example applications." FALSE)
option(KDEPIM_BUILD_MOBILE "Build the mobile applications. Note that you have to enable KDEPIM_MOBILE_UI if you want to run these applications on a mobile device." TRUE)
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will disable KDEPIM_BUILD_EVERYTHING and KDEPIM_ENTERPRISE_BUILD." FALSE)
option(KDEPIM_BUILD_STATIC "Build KDEPIM static." FALSE)
option(KDEPIM_BUILD_DESKTOP "Build Desktop Applications. Can be deactivated for mobile" TRUE)
option(KDEPIM_NO_NEPOMUK "Build the mail libraries and applications without nepomuk dependency" FALSE)
option(KDEPIM_NO_WEBKIT "Do not use WebKit in the kdepim applications" FALSE)

if(KDEPIM_BUILD_STATIC)
  set(LIBRARY_TYPE STATIC)
else()
  set(LIBRARY_TYPE SHARED)
endif()

add_definitions( -DDISABLE_NEPOMUK_LEGACY )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if(KDEPIM_NO_NEPOMUK)
  add_definitions(-DKDEPIM_NO_NEPOMUK)
endif()

if(KDEPIM_NO_WEBKIT)
  add_definitions(-DKDEPIM_NO_WEBKIT)
endif()

# cmake would not find kde for xcompile if that is not set
if(WINCE)
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
    set(LIBRARY_TYPE STATIC)
    add_definitions(-DKDELIBS_STATIC_LIBS)
    add_definitions(-DKDEPIM_STATIC_LIBS)
endif()


# Default
set(KDEPIM_BUILD_EVERYTHING TRUE)

# if KDEPIM_ENTERPRISE_BUILD is defined, KDEPIM_ONLY_KLEO is disabled
if(KDEPIM_ENTERPRISE_BUILD)
  set(KDEPIM_ONLY_KLEO FALSE)
  set(KDEPIM_BUILD_EVERYTHING FALSE)
  message(STATUS "Enterprise build is enabled.")
else()
  # if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_EVERYTHING, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
  if(KDEPIM_ONLY_KLEO)
    set(KDEPIM_BUILD_EVERYTHING FALSE)
    set(KDEPIM_BUILD_MOBILE FALSE)
    set(KDEPIM_MOBILE_UI FALSE)
    set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
    message(STATUS "Only libkleo and Kleopatra will be built.")
  endif()
endif()

if(KDEPIM_MOBILE_UI)
    # Build the mobile applications
    set(KDEPIM_BUILD_MOBILE TRUE)
endif()

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### generate kdepim-version.h ###############
# Support for the GIT revision number in kdepim-version.h
if(EXISTS "${kdepim_SOURCE_DIR}/.git")
  find_program(GIT_EXECUTABLE NAMES git)
  if(GIT_EXECUTABLE)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}
                    OUTPUT_VARIABLE kdepim_git_revision)
    string(REGEX REPLACE "\n" "" kdepim_git_revision "${kdepim_git_revision}")
    set(kdepim_git_revision "git-${kdepim_git_revision}")

    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%ci
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}
                    OUTPUT_VARIABLE kdepim_git_last_change)
    string(REGEX REPLACE " [-0-9:+ ]*\n" "" kdepim_git_last_change "${kdepim_git_last_change}")
  endif()
endif()

# KDEPIM_VERSION 
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 alpha1
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 alpha1

# Do NOT add quote
# set(KDEPIM_DEV_VERSION rc2)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "4.8.4")

configure_file(kdepim-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-version.h @ONLY)

############### search packages used by KDE ###############

# It is needed otherwise it finds the kde4-config of the target platform
if(WINCE)
  find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config PATHS ${HOST_BINDIR} NO_DEFAULT_PATH)
endif()

find_package(KDE4 4.7.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFiles)
include(MacroBoolTo01)
find_package(KdepimLibs 4.8.4 REQUIRED)

############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)


############### search Boost ###############

find_package(Boost 1.34.0)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by several critical KDEPIM apps.")

# Kleopatra needs to know if the topological.hpp header exists (part of Boost_graph).
find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
macro_log_feature(Boost_TOPOLOGICAL_SORT_DIR "The Boost Topological_sort header" "topological_sort.hpp (part of Boost_graph)" "http://www.boost.org/" FALSE "" "Necessary to build kleopatra")


############### Windows specific ###############

if(WIN32)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
  execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  file(TO_CMAKE_PATH "${_dir}" __dir)
  find_path(KDE4_ICON_DIR oxygen PATHS
    ${__dir}
  )
  message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else()
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif()


############### ONLY_KLEO ###############

# The KDEPIM_ONLY_KLEO option is true
if(KDEPIM_ONLY_KLEO)
  find_package(QGpgme)
  macro_log_feature(QGPGME_FOUND "QGpgME" "The QGpgME library" "http://www.kde.org" TRUE "" "QGpgME is required to build Kleopatra.")

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} -DQT3_SUPPORT_WARNINGS)
  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS} ${QT_QTDBUS_INCLUDE_DIR})
  include(kleopatra/ConfigureChecks.cmake)

  add_subdirectory(libkleo)
  if(Boost_TOPOLOGICAL_SORT_DIR)
    macro_optional_add_subdirectory(kleopatra)
  endif()

else()

# Otherwise...
############### Find the stuff we need ###############
  set(AKONADI_MIN_VERSION 1.4.91)
  find_package(Akonadi QUIET NO_MODULE ${AKONADI_MIN_VERSION})
  macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries" "http://pim.kde.org/akonadi" TRUE "${AKONADI_MIN_VERSION}" "Akonadi is required to build KDEPIM")

  find_package(ZLIB)
  macro_log_feature(ZLIB_FOUND "ZLib" "The Zlib compression library" "http://www.zlib.net" TRUE "" "")

  find_package(Strigi)
  macro_log_feature(STRIGI_FOUND "Strigi" "Index metadata of files" "http://strigi.sourceforge.net" TRUE "" "")

  find_package(QGpgme)
  macro_log_feature(QGPGME_FOUND "QGpgME" "The QGpgME library" "http://www.kde.org" FALSE "" "QGpgME is required to build KMail, KOrganizer and Kleopatra")

  set(SDO_MIN_VERSION 0.6.51)
  set(SOPRANO_MIN_VERSION 2.3.70)

  find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
  macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies" "http://oscaf.sourceforge.net" TRUE "${SDO_MIN_VERSION}" "Ontologies necessary for the Nepomuk semantic desktop.")

  find_package(Soprano)
  macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net" TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk")
  include(SopranoAddOntology)

  find_package(Grantlee QUIET NO_MODULE)
  macro_log_feature(Grantlee_FOUND "Grantlee" "The Grantlee Template System" "http://www.grantlee.org" FALSE "" "Templating and theming for KJots and KaddressBook." )

if(NOT KDEPIM_NO_NEPOMUK)
  find_package(Nepomuk)
  macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")
endif()
  
  find_package(LibXslt)
  macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE "" "Required to generate the D-Bus interfaces.")

############### Desktop vs. Mobile options ##############

if(KDEPIM_MOBILE_UI)
  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
  add_definitions( -DKDEPIM_MOBILE_UI )
else()
  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" FALSE "4.7" "Required for building the mobile applications")
  if(NOT QT_QTDECLARATIVE_FOUND)
    message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
    set(KDEPIM_BUILD_MOBILE FALSE)
  endif()
endif()

############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})

if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
  add_definitions( -DKDEPIM_NO_KRESOURCES )
endif()

############### Macros ###############

# generates a D-Bus interface description from a KConfigXT file
macro(kcfg_generate_dbus_interface _kcfg _name)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
    ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
    ${_kcfg}
    > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
    ${_kcfg}
    )
endmacro(kcfg_generate_dbus_interface)


############### Code used in several places ###############
# TODO Remove from the top CMakeLists.

# used in knotes, kontact/plugins/knotes
set(libknotesresources_SRCS
  ${CMAKE_SOURCE_DIR}/knotes/resourcemanager.cpp
  ${CMAKE_SOURCE_DIR}/knotes/resourcenotes.cpp
  ${CMAKE_SOURCE_DIR}/knotes/resourcelocal.cpp
  ${CMAKE_SOURCE_DIR}/knotes/resourcelocalconfig.cpp
)

# used in knotes, kontact/plugins/knotes
set(libknoteseditor_SRCS
  ${CMAKE_SOURCE_DIR}/knotes/knoteedit.cpp
)

############### Now, we add the PIM components ###############

  include (kleopatra/ConfigureChecks.cmake)

  # These targets will always be built before anything else.

  add_subdirectory(ontologies) # must be the first one.
  add_subdirectory(akonadi_next)
  add_subdirectory(libkdepim)
  add_subdirectory(calendarsupport)
  add_subdirectory(calendarviews)

=== debian/changelog ===
kdepim (4:4.8.4a-0ubuntu0.3) precise-security; urgency=high

  * SECURITY UPDATE: Disable JavaScript, Java, and Plugins by default in
    kmail/kontact messageviewer's quote colorer (LP: #1022690)
    - Upstream Git dbb2f72f4745e00f53031965a9c10b2d6862bd54
    - CVE-2012-3413

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jul 2012 09:08:14 -0400

kdepim (4:4.8.4a-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:36:52 +0200

kdepim (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 11:05:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake, 
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12),

## kdepim 4.8.5

=== debian/changelog ===
kdepim (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)
    - Drop debian/patches/htmlquotecolorer_security.diff, originally from
      upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:48:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, 
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12),

## kdepim 4.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
-
 
 ############### Build Options ###############
 
@@ -10,7 +9,7 @@
 option(KDEPIM_BUILD_MOBILE "Build the mobile applications. Note that you have to enable KDEPIM_MOBILE_UI if you want to run these applications on a mobile device." TRUE)
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
 option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
-option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will disable KDEPIM_BUILD_EVERYTHING and KDEPIM_ENTERPRISE_BUILD." FALSE)
+option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will build only libkleo and kleopatra" FALSE)
 option(KDEPIM_BUILD_STATIC "Build KDEPIM static." FALSE)
 option(KDEPIM_BUILD_DESKTOP "Build Desktop Applications. Can be deactivated for mobile" TRUE)
 option(KDEPIM_NO_NEPOMUK "Build the mail libraries and applications without nepomuk dependency" FALSE)
@@ -41,24 +40,16 @@
     add_definitions(-DKDEPIM_STATIC_LIBS)
 endif()
 
-
-# Default
-set(KDEPIM_BUILD_EVERYTHING TRUE)
-
-# if KDEPIM_ENTERPRISE_BUILD is defined, KDEPIM_ONLY_KLEO is disabled
 if(KDEPIM_ENTERPRISE_BUILD)
-  set(KDEPIM_ONLY_KLEO FALSE)
-  set(KDEPIM_BUILD_EVERYTHING FALSE)
   message(STATUS "Enterprise build is enabled.")
-else()
-  # if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_EVERYTHING, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
-  if(KDEPIM_ONLY_KLEO)
-    set(KDEPIM_BUILD_EVERYTHING FALSE)
-    set(KDEPIM_BUILD_MOBILE FALSE)
-    set(KDEPIM_MOBILE_UI FALSE)
-    set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
-    message(STATUS "Only libkleo and Kleopatra will be built.")
-  endif()
+endif()
+
+# if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
+if(KDEPIM_ONLY_KLEO)
+ set(KDEPIM_BUILD_MOBILE FALSE)
+ set(KDEPIM_MOBILE_UI FALSE)
+ set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
+ message(STATUS "Only libkleo and Kleopatra will be built.")
 endif()
 
 if(KDEPIM_MOBILE_UI)
@@ -117,14 +108,14 @@
 #    3.2 alpha1
 
 # Do NOT add quote
-# set(KDEPIM_DEV_VERSION rc2)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
-  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
-endif()
-
-set(KDEPIM_VERSION "4.8.4")
+  set(KDEPIM_DEV_VERSION )
+endif()
+
+set(KDEPIM_VERSION "4.9.2")
 
 configure_file(kdepim-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-version.h @ONLY)
 
@@ -140,7 +131,7 @@
 include(MacroLibrary)
 include(CheckIncludeFiles)
 include(MacroBoolTo01)
-find_package(KdepimLibs 4.8.4 REQUIRED)
+find_package(KdepimLibs 4.9.2 REQUIRED)
 
 ############### Load the CTest options ###############
 
@@ -158,7 +149,6 @@
 # in the KDE build system, this is the same as CMAKE_BINARY_DIR.
 configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)
 
-
 ############### search Boost ###############
 
 find_package(Boost 1.34.0)
@@ -167,7 +157,6 @@
 # Kleopatra needs to know if the topological.hpp header exists (part of Boost_graph).
 find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
 macro_log_feature(Boost_TOPOLOGICAL_SORT_DIR "The Boost Topological_sort header" "topological_sort.hpp (part of Boost_graph)" "http://www.boost.org/" FALSE "" "Necessary to build kleopatra")
-
 
 ############### Windows specific ###############
 
@@ -183,7 +172,6 @@
     set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
 endif()
 
-
 ############### ONLY_KLEO ###############
 
 # The KDEPIM_ONLY_KLEO option is true
@@ -197,14 +185,13 @@
 
   add_subdirectory(libkleo)
   if(Boost_TOPOLOGICAL_SORT_DIR)
-    macro_optional_add_subdirectory(kleopatra)
-  endif()
-
+    add_subdirectory(kleopatra)
+  endif()
 else()
 
 # Otherwise...
 ############### Find the stuff we need ###############
-  set(AKONADI_MIN_VERSION 1.4.91)
+  set(AKONADI_MIN_VERSION 1.8.0)
   find_package(Akonadi QUIET NO_MODULE ${AKONADI_MIN_VERSION})
   macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries" "http://pim.kde.org/akonadi" TRUE "${AKONADI_MIN_VERSION}" "Akonadi is required to build KDEPIM")
 
@@ -217,7 +204,7 @@
   find_package(QGpgme)
   macro_log_feature(QGPGME_FOUND "QGpgME" "The QGpgME library" "http://www.kde.org" FALSE "" "QGpgME is required to build KMail, KOrganizer and Kleopatra")
 
-  set(SDO_MIN_VERSION 0.6.51)
+  set(SDO_MIN_VERSION 0.10)
   set(SOPRANO_MIN_VERSION 2.3.70)
 
   find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
@@ -228,70 +215,69 @@
   include(SopranoAddOntology)
 
   find_package(Grantlee QUIET NO_MODULE)
-  macro_log_feature(Grantlee_FOUND "Grantlee" "The Grantlee Template System" "http://www.grantlee.org" FALSE "" "Templating and theming for KJots and KaddressBook." )
-
-if(NOT KDEPIM_NO_NEPOMUK)
-  find_package(Nepomuk)
-  macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")
-endif()
-  
+  macro_log_feature(Grantlee_FOUND "Grantlee" "The Grantlee Template System" "http://www.gitorious.org/grantlee/pages/Home" FALSE "" "Templating and theming for KJots and KaddressBook." )
+
+  if(NOT KDEPIM_NO_NEPOMUK)
+    find_package(Nepomuk)
+    macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")
+  endif()
+
   find_package(LibXslt)
   macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE "" "Required to generate the D-Bus interfaces.")
 
 ############### Desktop vs. Mobile options ##############
 
-if(KDEPIM_MOBILE_UI)
-  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
-  add_definitions( -DKDEPIM_MOBILE_UI )
-else()
-  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" FALSE "4.7" "Required for building the mobile applications")
-  if(NOT QT_QTDECLARATIVE_FOUND)
-    message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
-    set(KDEPIM_BUILD_MOBILE FALSE)
-  endif()
-endif()
+  if(KDEPIM_MOBILE_UI)
+    macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
+    add_definitions( -DKDEPIM_MOBILE_UI )
+  else()
+    macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" FALSE "4.7" "Required for building the mobile applications")
+    if(NOT QT_QTDECLARATIVE_FOUND)
+      message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
+      set(KDEPIM_BUILD_MOBILE FALSE)
+    endif()
+  endif()
 
 ############### Needed commands before building anything ###############
 
-add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})
-
-include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})
-
-if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
-  add_definitions( -DKDEPIM_NO_KRESOURCES )
-endif()
+  add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})
+
+  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})
+
+  if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
+    add_definitions( -DKDEPIM_NO_KRESOURCES )
+  endif()
 
 ############### Macros ###############
 
-# generates a D-Bus interface description from a KConfigXT file
-macro(kcfg_generate_dbus_interface _kcfg _name)
-  add_custom_command(
-    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-    COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
-    ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-    ${_kcfg}
-    > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-    DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-    ${_kcfg}
-    )
-endmacro(kcfg_generate_dbus_interface)
-
+  # generates a D-Bus interface description from a KConfigXT file
+  macro(kcfg_generate_dbus_interface _kcfg _name)
+    add_custom_command(
+      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
+      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
+      ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
+      ${_kcfg}
+      > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
+      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
+      ${_kcfg}
+      )
+  endmacro(kcfg_generate_dbus_interface)
 
 ############### Code used in several places ###############
 # TODO Remove from the top CMakeLists.
 
+# used in knotes, kontact/plugins/knotes, wizard
+  set(libknotesresources_SRCS
+    ${CMAKE_SOURCE_DIR}/knotes/resourcemanager.cpp
+    ${CMAKE_SOURCE_DIR}/knotes/resourcenotes.cpp
+    ${CMAKE_SOURCE_DIR}/knotes/resourcelocal.cpp
+    ${CMAKE_SOURCE_DIR}/knotes/resourcelocalconfig.cpp
+  )
+
 # used in knotes, kontact/plugins/knotes
-set(libknotesresources_SRCS
-  ${CMAKE_SOURCE_DIR}/knotes/resourcemanager.cpp
-  ${CMAKE_SOURCE_DIR}/knotes/resourcenotes.cpp
-  ${CMAKE_SOURCE_DIR}/knotes/resourcelocal.cpp
-  ${CMAKE_SOURCE_DIR}/knotes/resourcelocalconfig.cpp
-)
-
-# used in knotes, kontact/plugins/knotes
-set(libknoteseditor_SRCS
-  ${CMAKE_SOURCE_DIR}/knotes/knoteedit.cpp
-)
+  set(libknoteseditor_SRCS
+    ${CMAKE_SOURCE_DIR}/knotes/knoteedit.cpp
+  )
 
 ############### Now, we add the PIM components ###############
 
@@ -304,3 +290,10 @@
   add_subdirectory(libkdepim)
   add_subdirectory(calendarsupport)
   add_subdirectory(calendarviews)
+  add_subdirectory(incidenceeditor-ng)
+  add_subdirectory(libkdepimdbusinterfaces)
+  add_subdirectory(libkleo)
+  add_subdirectory(libkpgp)
+  add_subdirectory(libksieve)
+  add_subdirectory(kdgantt2)
+  add_subdirectory(icons)

=== debian/changelog ===
kdepim (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:11:19 -0400

kdepim (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:24:18 +0100

kdepim (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:24:16 +0530

kdepim (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:49 +0100

kdepim (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Remove htmlquotecolorer_security.diff now upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:54:28 +0100

kdepim (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Fix for upstream security issue, will be in the RC (LP: #1022690)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Jul 2012 15:31:47 -0400

kdepim (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:16:29 +0200

kdepim (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Jun 2012 07:56:38 +0100

kdepim (4:4.8.3-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Philip Muškovac ]
  * Switch boost depends to 1.49

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 17:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  Michael Meskes <meskes@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, 
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12), 
  pkg-config,
- kdelibs5-dev (>= 4:4.8.1), 
- kdepimlibs5-dev (>= 4:4.8.1), 
+ kdelibs5-dev (>= 4:4.9.2), 
+ kdepimlibs5-dev (>= 4:4.9.2), 
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, 
- libboost1.46-dev, 
- libboost-graph1.46-dev, 
+ libboost1.49-dev, 
+ libboost-graph1.49-dev, 
  libsasl2-dev,
  xsltproc, 
  libxss-dev, 
@@ -28,7 +28,7 @@
  libstrigihtmlgui-dev (>= 0.6.3), 
  libstrigiqtdbusclient-dev (>= 0.6.3), 
  zlib1g-dev,
- libakonadi-dev (>= 1.3.0), 
+ libakonadi-dev (>= 1.8.0), 
  libpisock-dev, 
  shared-desktop-ontologies (>= 0.2),
  libindicate-qt-dev (>= 0.2.5.91),
@@ -107,9 +107,9 @@
  kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
  ktimetracker (>= ${binary:Version}),
  kdepim-strigi-plugins (>= ${binary:Version}),
- libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.3.80),
+ libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.2),
  libphonon-dev (>= 4:4.6.0really4.3.80),
- libgpgme11-dev, libboost1.46-dev, libboost-graph1.46-dev, libsasl2-dev, libxss-dev,
+ libgpgme11-dev, libboost1.49-dev, libboost-graph1.49-dev, libsasl2-dev, libxss-dev,
  libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
  libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
  libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
-
-# workaround for http://pad.lv/864975
-export LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))
 
 override_dh_auto_install:
 	$(overridden_command)

## kdepim 4.9.4

=== debian/changelog ===
kdepim (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:56:42 +0100

kdepim (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:35:52 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12), 
  pkg-config,
- kdelibs5-dev (>= 4:4.9.2), 
- kdepimlibs5-dev (>= 4:4.9.2), 
+ kdelibs5-dev (>= 4:4.9.4), 
+ kdepimlibs5-dev (>= 4:4.9.4), 
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, 
  libboost1.49-dev, 
@@ -107,7 +107,7 @@
  kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
  ktimetracker (>= ${binary:Version}),
  kdepim-strigi-plugins (>= ${binary:Version}),
- libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.2),
+ libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.4),
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, libboost1.49-dev, libboost-graph1.49-dev, libsasl2-dev, libxss-dev,
  libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,

## kdepim 4.9.5

=== debian/changelog ===
kdepim (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:33:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  debhelper (>= 7.3.16), 
  pkg-kde-tools (>= 0.12), 
  pkg-config,
- kdelibs5-dev (>= 4:4.9.4), 
- kdepimlibs5-dev (>= 4:4.9.4), 
+ kdelibs5-dev (>= 4:4.9.5), 
+ kdepimlibs5-dev (>= 4:4.9.5), 
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, 
  libboost1.49-dev, 
@@ -107,7 +107,7 @@
  kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
  ktimetracker (>= ${binary:Version}),
  kdepim-strigi-plugins (>= ${binary:Version}),
- libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.4),
+ libkdepim4 (= ${binary:Version}), kdepimlibs5-dev (>= 4:4.9.5),
  libphonon-dev (>= 4:4.6.0really4.3.80),
  libgpgme11-dev, libboost1.49-dev, libboost-graph1.49-dev, libsasl2-dev, libxss-dev,
  libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
